<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a></li><li class="navelem"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">ElasticsearchSearchClient</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SemanticSearchImplementation.ElasticsearchSearchClient Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a34f256039687648971cb1c716cbac4d3">_index</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a23a0989ca4df1ffe0ae35ce370ff05a4">AddDocumentAsync</a>(string graphName, IDictionary&lt; string, JObject &gt; documents)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a656bbfaef5d43411849ca697a13934b2">AddDocumentsAsync</a>(IEnumerable&lt; JObject &gt; documents)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a8fb393242f74b84e83b499ec66e7311c">AddOtherDocuments</a>(List&lt; string &gt; contentList, KeyValuePair&lt; string, JObject &gt; document)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a0605373e42aced573965aca80dbd56b4">ALIASES</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a04f9cbcfae637773d3d973f5e00e7d33">baseUrl</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#ae48c70684d8e9045f6b61bfaaaa96073">BULK</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#adaafcf06cdd3290e3fa1fb08edcace48">BulkRequestAsync</a>(IEnumerable&lt; string &gt; contentList)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#ad539e2885d813afc8484844c43e21659">ChangeIndex</a>(string index)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a0401dbd6fe37c7bd3b3280f30ae6da69">client</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#ada6b558939d7039a662a0c584c27c043">CreateIndexAsync</a>(JObject content, string index)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a675e7317c556764f3f1775eeca4e18e2">CreateJsonContent</a>(JObject content)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a3b47e8b1bbba0e389cdc3b93b4342723">CreateJsonContent</a>(string content)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a82703171ca5f50be94daaab1785db0c2">CreateVisibilityFilter</a>(IEnumerable&lt; string &gt; projects)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a306ac19c0f67d957b1067e528efd53c7">DeleteDocumentAsync</a>(string graphName, IDictionary&lt; string, JObject &gt; documents)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a1e0d80cc6faed74485063882c8b5eeb6">DeleteIndexAsync</a>(string index)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#aa2ed113cba7590aff4b9d6d1682c6e49">ElasticsearchSearchClient</a>(string server=&quot;localhost&quot;, string port=&quot;9200&quot;)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a3ba32ace0e0cab0a2b48900f0872a688">GetIdFromGraphNameAsync</a>(string graphName)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#acd867ae8d2f8cb1d10768502462e7b82">GetMappingAsync</a>()</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#ae9a5146cb7ee4dab269aad27785d3448">GetSearchResults</a>(JObject results)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#ae57d4f935abe00dbadddbe2d707bf91f">HandleResponse</a>(HttpResponseMessage response)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a59c7c6c46f21fd05ae1ccd725d0669f3">MAPPING</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#ae499d432b760ccfc2b5a6ae6aaeab067">SEARCH</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a34342fb826b3e64cdfc48afa412e5b8e">Search</a>(JObject content)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#aa4b8db03c1a6f59fed8fc3a21c2b71d6">SearchAsync</a>(string query, IEnumerable&lt; string &gt; projects, bool advanced, int size, int from, string sorting)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a46a54adb57d6821229aa73d7918a0e97">SwitchAliasAsync</a>(string from, string to)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html">SemanticSearchImplementation.ElasticsearchSearchClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
